#ifndef ETEXTFLIPATTR_H
#define ETEXTFLIPATTR_H

#include <QDebug>
#include <QColorDialog>
#include <QPushButton>
#include <QTextOption>
#include "eattr.h"
#include "etext.h"
namespace Ui {
class eTextFlipAttr;
}

class eTextFlipAttr : public eAttr
{
    Q_OBJECT
public:
    explicit eTextFlipAttr(const eText::Data &data, QWidget *parent = nullptr);
     ~eTextFlipAttr();

private:
    void init(const eText::Data &data);

signals: // Widget

    void sEffectChanged(QString);
    void sTurningEffectSpeedChanged(int);

signals: //Play
    void sPlayDurationChanged(QTime);
    void sEveryPagePlayDurationChanged(QTime);

protected slots:
    void OnEffectChanged(int iEffect);
    void OnPageCountChanged(int iCount);
    void OnPlayDurationChanged(QTime);
    void OnTurningEffectSpeedChanged(int iSec);
private:
    Ui::eTextFlipAttr *ui;
    int returnComboBoxIndex(QString strEffect);
    int m_iPageCount=1;
};

#endif // ETEXTFLIPATTR_H
